#This script queries a SQL Server database for a list of customers, then executes a report for each customer.
#See https://www.arcanadev.com/support/kb/K00000581 for more information

	$serverName="dbservername"					#replace with the name of your database server
	$databaseName="dbname"						#replace with the name of your database
	
	#specify the SQL query needed to select the values you want to run the report for. This query should return only 1 column.
	$sqlCommand="select customerId from customers"

	#specify the name of the parameter defined in your report
	$parameterName="CustomerId"
	$reportName="D:\test\dailysales.rpt"	#the path/name of the report to run
	$outputPath="d:\output"					#the path where you want the output written

	#build the connection string. Use integrated security--no user ID or password
	$connectionString = "Data Source=$serverName; " +
            "Integrated Security=SSPI; " +
            "Initial Catalog=$databaseName"
			
	#connect to the database
    $connection = new-object system.data.SqlClient.SQLConnection($connectionString)
    $connection.Open()
	

	#query the database
    $command = new-object system.data.sqlclient.sqlcommand($sqlCommand,$connection)
    $adapter = New-Object System.Data.sqlclient.sqlDataAdapter $command
    $dataset = New-Object System.Data.DataSet
    $adapter.Fill($dataSet) | Out-Null

    $connection.Close()
	

	#for each row, call Report Commander, passing the value returned from the database as a parameter on the command line.
	foreach ($Row in $dataSet.Tables[0].Rows)
	{ 
		$commandLine= @"
"C:\Program Files (x86)\Arcana Development\Report Commander\2.0\adcrutil.exe" -report="$reportName"  -exportformat=PDF -exportfile="$outputPath\`${Report.Name}_`${Parameters.$parameterName}.pdf" -logfile="`${TEMP}\`${Report.Name}.log" -appendlog -parameters "$($Row[0])"
"@
		cmd /c $commandLine
	}    